Subject: bug#18504: 24.3.93; posn-at-point intermittently returns wrong value for a valid buffer position

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Sep 2014 17:54:05 +0300

> Date: Fri, 19 Sep 2014 18:06:47 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 09/19/2014 06:00 PM, Eli Zaretskii wrote:
> 
> >> I'm not quite sure how we get to that point, to be honest.
> >
> > ??? Your recipe includes fast presses on C-/ and C-g.  Or did I
> > misunderstand?
> 
> Yes. I'm not sure how we get there code-wise, though.
> 
> >> I get:
> >>
> >> company--col-row zero!
> >> then:
> >> (0 . 198)
> >
> > Thanks, but with what sequence of commands do you get that?
> 
> Same as previously described, no change there. Just make sure to (setq 
> bidi-display-reordering nil). When it's t, `posn-at-point' (likewise 
> intermittently) returns a differentl wrong value.

I tried that, but the probability of getting the problem is too low on
my system.  I see it maybe once in many hundreds of attempts.

What I did see is that the coordinates returned in that case are for
the end of buffer (or maybe the last visible glyph in the window, if
EOB is beyond that).  So the first thing I'd try to do is print the
argument POS you pass to posn-at-point in those cases -- could it be t
or some other incorrect/unexpected value?